// 画像クリック
document.getElementById('main_cg').onclick = function(e){
	var num = 1;
	
	var point_X			= 'L';
	var window_W_Half	= window.innerWidth / 2;
	var window_W_Point	= e.pageX;
	
	if( page_wide === 0 || (!prevpage && titlepage && (nowpage <= minpage))){
		num = 1;
	}
	else{
		point_X = (window_W_Half >= window_W_Point) ? 'L' : 'R';
		num = (( point_X === 'L' ) ? +1 : -1) * ((page_left === 0) ? -1 : 1);
	}
	
	slideshow = false;
	changeImage(num);
};

/*
document.getElementById('main_cg').onmousemove = function(e){
	console.log(e.pageX);
	document.getElementById('main_cg').style.cursor = 'crosshair';
};
*/

// 前へクリック
document.getElementById('prev').onclick = function(){
	slideshow = false;
	changeImage(-1);
};

// 次へクリック
document.getElementById('next').onclick = function(){
	slideshow = false;
	changeImage(+1);
};

// 表示タイプ変更
var changeType = function(num){
	if(nowtype != 3){
		slideshow = false;
		nowtype = num;
		dispImage();
	}
}
// セリフありクリック
document.getElementById('on').onclick = function(){
	changeType(0);
};

// 効果のみクリック
document.getElementById('eff').onclick = function(){
	changeType(1);
};

// セリフなしクリック
document.getElementById('off').onclick = function(){
	changeType(2);
};

// キー入力
document.onkeyup = function(e){
	var keyCode		= false;
	var skipstep	= 5;
	
	if( e ){
		event = e;
	}
	
	if( event ){
		if( event.keyCode ){
			keyCode = event.keyCode;
		}
		else if( event.which ){
			keyCode = event.which;
		}
	}
		
	switch( keyCode ){
	case 35: // End
		slideshow = false;
		changeImage(0, 'END');
		break;
		
	case 36: // Home
		slideshow = false;
		changeImage(0, 'HOME');
		break;
		
	case 39: // 右入力
		// １ページ送り
		slideshow = false;
		changeImage(page_left === 0 ? +1 : -1);
		break;
		
	case 37: // 左入力
		// １ページ戻し
		slideshow = false;
		changeImage(page_left === 0 ? -1 : +1);
		break;
		
	case 33: // PageUp
		if( !event.altKey){
			// ５ページ送り
			slideshow = false;
			changeImage(+skipstep, 'SKIP');
		}
		else{
			// スライドショー
			slideshow = !slideshow;
			dispTitle();
			if( slideshow ){
				slideShow();
			}
		}
		break;
	
	case 34: // PageDown
		// ５ページ戻し
		slideshow = false;
		changeImage(-skipstep, 'SKIP');
		break;
		
	case 38: // 上入力
		// モード変更
		if(nowtype != 3){
			slideshow = false;
			nowtype = (nowtype - 1) >= 0 ? (nowtype - 1) : 2;
			dispImage();
		}
		break;
		
	case 40: // 下入力
		// モード変更
		if(nowtype != 3){
			slideshow = false;
			nowtype = (nowtype + 1) % 3;
			dispImage();
		}
		break;
		
	case 18: // Alt
		break;
	
	default:
		slideshow = false;
		dispTitle();
		break;
	}
};

document.onkeydown = function (e){
	var keyCode = false;
	
	if( e ){
		event = e;
	}
	
	// キー入力キャンセル
	if( (event.keyCode == 8) || (event.keyCode == 37) || (event.keyCode == 39) || (event.keyCode == 116) || (event.ctrlKey && (event.keyCode == 82)) ){
		if(event.preventDefault){
			// デフォルトの動作を無効化する
			event.preventDefault();
		}else{
			// デフォルトの動作を無効化する（非標準）
			event.keyCode = 0;
			return false;
		}
	}
};

// 画面終了
document.getElementById('close').onclick = function(){
	window.close();
};


// 画面サイズ変更イベント
function resizeWindow(){
	if( checkWide() ){
		if( win_change === 1 ){
			var win_W = window.innerWidth;
			var win_H = window.innerHeight;
		
	//		if( (win_W / win_H) < 1.5 ){
			if( win_W < win_H ){
				page_wide = 0;
			}
			else{
				page_wide = 1;
			}
		}
/*		
		if( page_wide === 1 ){
			var buf = nowpage % 2;
			
			if( titlepage && nowpage != minpage ){
				if( minpage === buf ){
					nowpage -= 1;
				}
			}
			else{
				if( minpage != buf ){
					nowpage -= 1;
				}
			}
		}
*/		
		dispImage();
	}
	else{
		titlepage = false;
		page_wide = 0;
	}
}
window.onresize = resizeWindow;
window.onload = function(){
	resizeWindow();
	next_prev_Image();
}
